%define upstream_name    Attribute-Handlers
%define upstream_version 0.93

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Simpler definition of attribute handlers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Attribute/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module, when inherited by a package, allows that package's class to
define attribute handler subroutines for specific attributes. Variables
and subroutines subsequently defined in that package, or in packages
derived from that package may be given attributes with the same names as
the attribute handler subroutines, which will then be called at the end
of the compilation phase (i.e. in a `CHECK' block).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{perl_vendorlib}/Attribute
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.930.0-2.mga3
+ Revision: 363212
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 04 2012 jquelin <jquelin> 0.930.0-1.mga2
+ Revision: 190594
- update to 0.93

* Fri Nov 04 2011 jquelin <jquelin> 0.910.0-2.mga2
+ Revision: 162785
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 0.910.0-1.mga2
+ Revision: 112074
- update to 0.91

* Sat Feb 26 2011 jquelin <jquelin> 0.880.0-4.mga1
+ Revision: 60223
- rebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.880.0-3.mga1
+ Revision: 9338
- imported package perl-Attribute-Handlers

